#ifndef GROUPDATA_H
#define GROUPDATA_H

// class for grouping and aligning
class GroupData {
public:
  GroupData() { 
    sigmax = 0.0; sigmay = 0.0; n = 0; 
    xmin = 99999.0; ymin = 99999.0;
    xmax = 0.0; ymax = 0.0;
    dx = 0.0; dy = 0.0;
  }
  double xmin, ymin;  // min corner of group
  double xcenter, ycenter;  // center of group
  double xmax, ymax;  // max corner of group
  double sigmax, sigmay;  // sum of x and y coordinates
  double dx, dy;   // how much this group needs to be moved
  int n;  // number of items in this group
  int IsArrow; // is this an arrow? (will be only item in group)
};

#endif
