#ifndef MANUAL_H
#define MANUAL_H

#include <qdialog.h>

class QTextView;
class QPushButton;
class QLabel;
class QVBox;
class QComboBox;

class XManual : public QDialog
{
  Q_OBJECT

public:
  XManual( QWidget *parent = 0, const char *name = 0 );

protected:
	void resizeEvent(QResizeEvent *);

private:
  QTextView *pages;
  QPushButton *bClose, *bNext, *bPrev;
  QLabel *bLabel;
	QVBox *qvb;
	QComboBox *pagelist;
  int pagenum, lastpage;

protected slots:
  void prevPage();
  void nextPage();
  void gotoPage(int);
};

#endif
