#ifndef PSDIALOG_H
#define PSDIALOG_H

#include <qdialog.h>
#include <qcombobox.h>
#include <qlineedit.h>

class PageSetupDialog:public QDialog {
	Q_OBJECT
public:
	PageSetupDialog(QWidget *parent, QString name);
	void setPageSize(int);
	int getPageSize(void);
	void setOrientation(int);
	int getOrientation(void);
	int getWidth(void) { return w->text().toInt(); }
	int getHeight(void) { return h->text().toInt(); }
	void setWH(int, int);

private slots:
	void comboChanged(int);

private:
	QComboBox *psize, *porient;
	QLineEdit *w, *h;
	int papersize, orient;
};

#endif
